/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.xliff2tmx.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoXliff2TmxMessage/メッセージ定義[BlancoXliff2Tmx]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoXliff2TmxMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoXliff2TmxMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliff2TmxMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoXliff2TmxMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff2tmx/message/BlancoXliff2TmxMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoXliff2TmxMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliff2TmxMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoXliff2TmxMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff2tmx/message/BlancoXliff2TmxMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoXliff2TmxMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliff2TmxMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoXliff2TmxMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff2tmx/message/BlancoXliff2TmxMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T01]
     *
     * [指定された sourcedir[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T02]
     *
     * [指定された sourcedir[{0}]はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir[{0}]はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T03]
     *
     * [targetdir と targetfile のいずれか一方を指定する必要があります。] (ja)<br>
     *
     * @return key[MBXL2T03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t03() {
        // 初期値として定義書の値を利用します。
        String strFormat = "targetdir と targetfile のいずれか一方を指定する必要があります。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T03");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T04]
     *
     * [targetdir と targetfile とを同時に指定することはできません。いずれか一方だけを指定してください。] (ja)<br>
     *
     * @return key[MBXL2T04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t04() {
        // 初期値として定義書の値を利用します。
        String strFormat = "targetdir と targetfile とを同時に指定することはできません。いずれか一方だけを指定してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T04");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T05]
     *
     * [指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T05]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t05(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T05");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T06]
     *
     * [指定された targetdir[{0}]はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T06]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t06(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir[{0}]はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T06");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T07]
     *
     * [sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T07]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t07(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T07");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T08]
     *
     * [指定された targetfile[{0}]に書き込みできません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T08]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t08(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetfile[{0}]に書き込みできません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T08");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoXliff2TmxMessage], key[MBXL2T09]
     *
     * [指定された targetfile[{0}]が格納されるディレクトリが存在しなかったので作成を試みましたが失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBXL2T09]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbxl2t09(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetfile[{0}]が格納されるディレクトリが存在しなかったので作成を試みましたが失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBXL2T09");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
